=== debian/changelog ===
qtruby (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:33:30 +0100

qtruby (4:4.12.97-0ubuntu2) trusty; urgency=medium

  * Resynchronize packaging with Debian.  Can be sync'ed once Debian has a
    higher version and default Ruby in Ubuntu is 2.0 or later
    - Update for new Ruby policy and Ruby 2.0 as default (LP: #1303366)
    - Drop debian/patches/use_ruby1.8.diff
    - Wrap and sort debian/control
    - Install files in Ruby vendor locations as per Ruby policy
  * Don't specify RUBY_CONFIG_INCLUDE_DIR in debian/rules
    - For Ruby 1.9 it isn't needed and the Ruby 2.0 and later method does not
      work
  * Adjust .so file install locations in .install files to match Ruby 1.9

 -- Scott Kitterman <scott@kitterman.com>  Sun, 06 Apr 2014 18:36:50 -0400

qtruby (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 12:00:33 +0200

qtruby (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 13:05:16 +0100

qtruby (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 12:09:49 +0000

qtruby (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:21:19 +0100

qtruby (4:4.12.2-0ubuntu2) trusty; urgency=low

  * No change rebuild for libqscintilla2-11 transition

 -- Scott Kitterman <scott@kitterman.com>  Wed, 19 Feb 2014 10:33:19 -0500

qtruby (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:35:45 +0000

qtruby (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:50:28 +0000

qtruby (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:52:36 +0000

qtruby (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:51:00 +0000

qtruby (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:45:03 +0100

qtruby (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 18:07:05 +0100
