## qtruby 4.13.97

=== debian/changelog ===
qtruby (4:4.13.97-0ubuntu1~ubuntu14.04~ppa4) trusty; urgency=medium

  * Fix depend version
  * Fix install files

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 06 Aug 2014 17:39:01 -0700

qtruby (4:4.13.97-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 06 Aug 2014 14:31:16 -0700

qtruby (4:4.13.97-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 31 Jul 2014 13:23:32 -0700

qtruby (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 20:57:54 +0200

qtruby (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:51:48 +0200

qtruby (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian:
   - Don't specify RUBY_CONFIG_INCLUDE_DIR in debian/rules
    - For Ruby 1.9 it isn't needed and the Ruby 2.0 and later method does not
      work

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:42:05 +0100
