=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
            Michael Meskes <meskes@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
            Cédric Boutillier <boutil@debian.org>
-Build-Conflicts: libruby1.8
 Build-Depends: cmake,
                debhelper (>= 9),
                libphonon-dev,
                libqscintilla2-dev,
                libqt4-dev,
-               libqtwebkit-dev,
+               libqtwebkit-dev,          
                libsmokeqt4-dev (>= 4:4.11),
                pkg-kde-tools (>= 0.6.8),
                ruby,
@@ -23,7 +22,7 @@
                smoke-dev-tools (>= 4:4.11)
 Standards-Version: 3.9.5
 Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/qtruby
-X-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/qtruby.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/qtruby.git
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
 X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/qtruby.git;a=summary
@@ -32,6 +31,7 @@
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ruby-kde4 (<< 4:4.11.3-4~), ruby-soprano (<< 4:4.11.3-4~)
 Description: internal library for Qt 4 Ruby bindings
  This package provides an internal library of Qt Ruby.
  .
