=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 current_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
 
 
-#RUBY_CONFIG_INCLUDE_DIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["rubyarchhdrdir"]')
 RUBY_VENDORARCHDIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorarchdir"]')
 RUBY_VENDORLIBDIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorlibdir"]')
 CMAKE_FLAGS := \
