=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libphonon-dev,
                libqscintilla2-dev,
                libqt4-dev,
-               libqtwebkit-dev,          
+               libqtwebkit-dev,
                libsmokeqt4-dev (>= 4:4.11),
                pkg-kde-tools (>= 0.6.8),
                ruby,
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: ruby-kde4 (<< 4:4.11.3-4~), ruby-soprano (<< 4:4.11.3-4~)
+Breaks: ruby-soprano (<< 4:4.11.3-4~), ruby-kde4 (<< 4:4.11.3-4~)
 Description: internal library for Qt 4 Ruby bindings
  This package provides an internal library of Qt Ruby.
  .
