## qtruby 4.14.2

=== debian/changelog ===
qtruby (4:4.14.2-0ubuntu5) wily; urgency=medium

  * No-change rebuild to add ruby2.2 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Sep 2015 14:50:19 +0000

qtruby (4:4.14.2-0ubuntu4) wily; urgency=medium

  * No-change rebuild against libsmokeqt*v5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2015 21:28:47 +0200

qtruby (4:4.14.2-0ubuntu3) wily; urgency=medium

  * No-change rebuild against libsmokeqt*v5.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 08:32:48 +0200

qtruby (4:4.14.2-0ubuntu2) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Aug 2015 11:38:06 +0100

qtruby (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:50:58 -0700
