=== tools/CMakeLists.txt ===
add_subdirectory( rbuic )
add_subdirectory( rbrcc )
