=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtruby
 Section: ruby
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>,
            Sune Vuorela <sune@debian.org>,
            David Palacio <dpalacio@orbitalibre.org>,
@@ -14,26 +13,24 @@
                libphonon-dev,
                libqscintilla2-dev,
                libqt4-dev,
-               libqtwebkit-dev,
                libsmokeqt4-dev (>= 4:4.11),
                pkg-kde-tools (>= 0.6.8),
                ruby,
                ruby-dev,
                smoke-dev-tools (>= 4:4.11)
-Standards-Version: 3.9.5
+Build-Conflicts: libqtwebkit-dev
+Standards-Version: 3.9.6
 Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/qtruby
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/qtruby.git
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/qtruby.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/qtruby.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/qtruby.git;a=summary
 
-Package: libqtruby4shared2v5
+Package: libqtruby4shared2
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: ruby-soprano (<< 4:4.11.3-4~), ruby-kde4 (<< 4:4.11.3-4~)
-Conflicts: libqtruby4shared2
-Replaces: libqtruby4shared2
+Conflicts: libqtruby4shared2v5
+Replaces: libqtruby4shared2v5
 Description: internal library for Qt 4 Ruby bindings
  This package provides an internal library of Qt Ruby.
  .
@@ -134,16 +131,16 @@
  .
  This is part of the Qt Ruby module.
 
-Package: ruby-qt4-webkit
-Architecture: any
-Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
-Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
-Description: QtWebKit bindings for the Ruby language
- This package provides the Ruby bindings for the QtWebKit Qt 4 library.
- .
- This is part of the Qt Ruby module.
-
+#Package: ruby-qt4-webkit
+#Architecture: any
+#Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+#Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
+#Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
+#Description: QtWebKit bindings for the Ruby language
+# This package provides the Ruby bindings for the QtWebKit Qt 4 library.
+# .
+# This is part of the Qt Ruby module.
+#
 Package: libqt4-ruby
 Architecture: all
 Section: oldlibs
@@ -152,18 +149,18 @@
 Description: transitional package for ruby-qt4
  This is a transitional package to ease upgrades to the ruby-qt4 package.
  It can safely be removed.
-
-Package: libqt4-ruby1.8
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: ruby-phonon,
-         ruby-qt4,
-         ruby-qt4-script,
-         ruby-qt4-test,
-         ruby-qt4-uitools,
-         ruby-qt4-webkit,
-         ${misc:Depends}
-Description: transitional package for ruby-qt4
- This is a transitional package to ease upgrades to the ruby-qt4 package.
- It can safely be removed.
+#
+#Package: libqt4-ruby1.8
+#Architecture: all
+#Section: oldlibs
+#Priority: extra
+#Depends: ruby-phonon,
+#         ruby-qt4,
+#         ruby-qt4-script,
+#         ruby-qt4-test,
+#         ruby-qt4-uitools,
+#         ruby-qt4-webkit,
+#         ${misc:Depends}
+#Description: transitional package for ruby-qt4
+# This is a transitional package to ease upgrades to the ruby-qt4 package.
+# It can safely be removed.
