=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,11 @@
 current_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
 
 
+RUBY_CONFIG_INCLUDE_DIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["rubyarchhdrdir"]')
 RUBY_VENDORARCHDIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorarchdir"]')
 RUBY_VENDORLIBDIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorlibdir"]')
 CMAKE_FLAGS := \
+  -DRUBY_CONFIG_INCLUDE_DIR=$(RUBY_CONFIG_INCLUDE_DIR) \
   -DCUSTOM_RUBY_SITE_LIB_DIR=$(RUBY_VENDORLIBDIR) \
   -DCUSTOM_RUBY_SITE_ARCH_DIR=$(RUBY_VENDORARCHDIR) \
   $(NULL)
@@ -23,8 +25,8 @@
 override_dh_compress:
 	dh_compress -X.rb -X.ui -X.mng -X.xbel
 
-override_dh_installexamples:
-	dh_installexamples
+override_dh_installexamples-arch:
+	dh_installexamples -a
 	tar cvzf $(CURDIR)/debian/ruby-qt4/usr/share/doc/ruby-qt4/examples.tar.gz examples
 
 override_dh_makeshlibs:
